
---
layout: "post"
title: "Decorating a Fediverse tree (updated)"
date: 2020-12-24
updated: 2020-12-24
tags:
    - fediverse
preview:
  "Missing the joy of winter holidays? In search of DIY tasks to put you in the right mood? Let's create Fediverse atmosphere by making paper toys!"
url: "/en/post/decorating-a-fediverse-tree"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

### Fediverse.Party and Fediverse family present 🎄
*(for children aged 3 to 103)*

Missing the joy of winter holidays? In search of small DIY tasks to relax and put you in the right mood? Not sure how to tear your kids away from a TV screen? We've got you covered! 👍

Let's create a proper Fediverse atmosphere by <span class="u-goldenBg">making paper toys together!</span>

This wonderful idea first came to [**@Poudingue**](https://mastodon.social/@Poudingue) when they [posted](https://mastodon.social/@Poudingue/104268850028274433) a template of an adorable paper [Mastodon](https://joinmastodon.org).

![photo of a paper Mastodon](/en/post/decorating-a-fediverse-tree/Mastodon-by-Poudingue.jpg)
<small class="u-block u-center">Mastodon by @Poudingue, image by the author of the toy</small>

Let's start with Mastodon. Download the template [here](https://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys/Mastodon_papertoy_yellow.jpg).

#### You'll need:
<ul class="article-list">
  <li>scissors, cutter</li>
  <li>glue</li>
  <li>printer</li>
  <li>optionally, a pencil (or anything sharp to make wholes) and thread (if you wish to put your toys on an Xmas tree)</li>
  <li> optionally, some working surface where you can cut without being afraid to skretch the table
  <li>a bit of patience</li>
</ul>

![photo of all the things needed for making paper toys](/en/post/decorating-a-fediverse-tree/equipment.jpg)

If your printer is black-and-white, let it not stop you. Paper toys look fine even without colour!

![photo of a black-and-white toy next to a colourful one](/en/post/decorating-a-fediverse-tree/bw-vs-colour.jpg)

<span class="u-goldenBg">Do not try to make a perfect toy.</span> We're having fun! It doesn't matter if you cut it wrong by half a millimeter! Also, you can always correct it with scissors by trimming all the small parts before glueing them together, or even after the toy is assembled.

The <span class="u-goldenBg">general rules</span> are: cut along solid lines, fold along dashed lines. It's useful to fold and unfold all the dashed lines before starting to glue; makes it easier to work with the template.

Once you're finished with Mastodon, let's make red panda Fred, [Pixelfed's](https://pixelfed.org) mascot. [Here's](hhttps://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys/Pixelfed-toy.jpg) the template. It's an easy paper toy - no small details. Just glue all the white parts to the insides of nearby facets, and we're done!

Next on our list is [PeerTube's](https://joinpeertube.org) mascot - grab the template for cuttlefish Papa Sepia: [page 1](https://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys/Peertube-toy-page-1.jpg), [page 2](https://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys/Peertube-toy-page-2.jpg).

![photo of PeerTube paper toy cutout](/en/post/decorating-a-fediverse-tree/papa-Sepia.jpg)

This one may take a bit more time, with all its legs! If you wish to hang the toy somewhere, remember to make two wholes and put a thread through them, before you start glueing the top of the toy to its bottom.

![photo of PeerTube paper toy cutout](/en/post/decorating-a-fediverse-tree/peertube-paper-toy.jpg)

And one more toy for the final touch. Let it be [Friendica's](https://friendi.ca) Flaxy O'Hare. [Template](https://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys/Friendica-toy.jpg).

The only tricky part here is glueing the top part to the body accurately. First apply glue to the left (or right) white part of the top piece and insert it into the slit at the body side. Do the same for the other side. Now it's easier to glue the center white parts to the body.

Tada! The toys are ready.

![photo of four assembled paper toys](/en/post/decorating-a-fediverse-tree/Fedi-paper-toys.jpg)

Now we can decorate our Fedi tree.

![photo of a Christmas tree wearing Fedi papertoys](/en/post/decorating-a-fediverse-tree/Fedi-tree.jpg)

But hey, you can do lots of other things with such toys. Don't know how to interest your friends and colleagues in federated social networks? Gift them one of these cute mascots. You can write the link to your profile at the back. Suggest your children or friends to make these toys together - they will appreciate a fun "introduction" into Fediverse world! You can decorate your makerspaces and windowsills with Fedi mascots. Finally, you can present them to strangers as a nice promotional material. You could also [print stickers](https://codeberg.org/lostinlight/distributopia/src/branch/main/sticker-bay) for this purpose - but toys will leave no one indifferent, and if you make them bigger in size, they'll certainly attract attention.

We've made only four toys, yet there're many other projects in federated universe. Have you made any templates for other Fediverse projects? Please, submit them [here](https://codeberg.org/lostinlight/distributopia/src/branch/main/papertoys) or [send](https://mastodon.xyz/@lightone) images in federated networks, and the post will be updated with your contributions.

Wish to share the photos of your own Fediverse tree and Fedi toys? Post them in federated networks under the hashtag <span class="u-emphasize">#PaperFedi2021</span>. 🙂

<span class="u-goldenBg">Happy holidays to all fedizens!</span>
