
---
layout: "post"
title: "Fediverse 13: party time"
date: 2021-05-18
updated: 2021-05-18
tags:
    - fediverse
preview: "In 2021 Fediverse celebrates 13 years - an important milestone. Let's make this a tradition, to boost the spirit of unity and vibrant culture!"
url: "/en/post/fediverse-13-2021-party-time"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}, {"name": "Arnold Schrijver", "url": "https://mastodon.social/@humanetech", "network": "mastodon"}]
---

<span class="u-goldenBg">Happy 13th, Fediverse! </span>

Last year Fediverse celebrated May 18th as an important, symbolic milestone to remember [how it all began](https://fediverse.party/en/post/fediverse-12-years-in-2020). Let's make this a tradition and a day for friendly interactions, to boost the spirit of unity and vibrant culture!

### Let's reintroduce ourselves

Newcomers are usually advised to create an "introductions" post, telling a few words about themselves, allowing Fedi community to welcome them. Why not have **#reintroductions** as well, to help both newcomers and oldHeres get to know each other? Please, make a post <span class="u-goldenBg">in Fedi</span> with this hashtag; you can also use festive hashtags of the day - **#Fediverse13** and **#HappyFedi2U**.

**Note**: If you speak Catalan or Spanish, join the [online meeting](https://bbb.exo.cat/b/rit-vd9-fhv) of fedizens [dedicated](https://agora.fedi.cat/t/18-de-maig-fedianiversari/313) to this special day (from 19h30 to 21h30 UTC+2).

![Festive illustration with a cake and candles](/en/post/fediverse-13-2021-party-time/cat-es-meeting.png)
<small class="u-block u-center">Credits: promo image - by <a href="https://bcn.fedi.cat/@titi">@titi</a>, CC BY-SA</small>

### Planting the seeds

If you have accounts <span class="u-goldenBg">on mainstream social networks</span>, we suggest to turn this day into a chaotic **celebration of sci-fi and fantasy films, books and memes**! Find images from the films you like, add any text or quote to it and share! There's only one catch - it should include the word "Fediverse" somewhere. Again, we suggest adding the tag **#Fediverse13** in the text of your post, so that other users on those platforms can find and reshare your posts. But if you think these tags may become the reason of shadow bans (which might happen on networks that have an allergy to competition), never mind. The mysterious word "Fediverse" on your images should be enough to tickle the curiosity of your readers, and it's harder to shadow ban for text-on-image. If the plan works, people will go searching for this magic word, find our federating corner of the Internet and, hopefully, join to stay!

**PS.** In case you resolutely prefer genres other than fantasy / sci-fi - the more the better, let it be any you like!
**PPS.** If our community manages to come up with nice and creative images, we may feature some of them on our [Crystal Ball](/en/crystalball) page, linking back to *Fedi accounts* of respective image authors. Of course, we shall search you out first and ask for a permission.

![Example meme images](/en/post/fediverse-13-2021-party-time/memes-collage.jpg)
<small class="u-block u-center">Credits: examples created by <a href="https://mastodon.social/@humanetech">@humanetech</a></small>

### Social networking reimagined

As more people discover federated networks, organizations slowly begin to acknowledge the existence of our alternative communication channels too and cautiously come to Fediverse to test the waters. Even the European Commission is interested and requested a 3-part [ActivityPub for Administrations](https://socialhub.activitypub.rocks/t/ec-ngi0-liaison-webinars-and-workshop-april-2021/1539) event. Its goals were to raise the awareness about various Fediverse projects and encourage representatives to create their own accounts or servers, thus establishing a presence in the federating social web.

For all of us this means opportunity. A true reimagination of social networking, creating spaces where people are **united in diversity**. A place free of Big Tech dominance, where beautiful culture thrives. It's hard to give up old ways and try out something new, especially after investing so much time into traditional social media. Each platform a separate channel to maintain. On the Fediverse, no more of that! Imagine, if you could post only to Instagram, and people on Facebook, Twitter an other networks could see your posts. Integrated, and reachable from 1 account to interact with. We can do that in Fediverse where various networks are interconnected!

### Today is the day!

If you are an <span class="u-goldenBg">organization with an official Fedi account</span> and you also have a presence on big corporate platforms, please, **help spread the word** about federated networks far and wide! Remind your readers on mainstream media that you can also be followed in Fediverse. Tell the visitors of walled gardens that there are open gardens, wild and blooming, awaiting new waves of pioneers! If you wish to be part of Fedi campaign, please, use hashtags **#Fediverse13** or **#FediOpenGarden**

![Illustration with a blooming garden of flowers and plants, and various mascots of Fediverse networks](/en/post/fediverse-13-2021-party-time/mascots-small.jpg)
<small class="u-block u-center">"Down with giants, up with open, self-governed communities!"</small>
<small class="u-block u-center">Credits: Fediverse mascot characters - by their respective creators; illustration by <a href="https://mastodon.xyz/@lightone">@lostinlight</a>, CC-BY, <a href="https://codeberg.org/lostinlight/distributopia/src/branch/main/sticker-bay/promo-1/mascots-13-2021.jpg">source</a></small>

You can find some promotional materials in these [folders](https://codeberg.org/lostinlight/distributopia/src/branch/main/sticker-bay). Use them freely and don't forget to contribute any new materials you create.

🌟 **See you in Fedi!**
