
---
layout: "post"
title: "Fediverse in 2019"
date: 2020-01-05
updated: 2020-01-05
tags:
    - fediverse
preview: "Here's an overview of major events, new projects, issues and achievements in Fediverse 2019. You'll also find out about one important change on this website!"
url: "/en/post/fediverse-in-2019"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

**Happy 2020, fedizens!**

Storm of applause 👏 for all long-time Fediverse supporters, and a warm welcome 👍 to every new user who found Fediverse in 2019.

![Constellation of stars forming "You're in Fediverse" phrase](/en/post/fediverse-in-2019/in-fediverse.jpg)

Here's what happened to  our small corner of the Internet in the past year.

### Fediverse in numbers

In 2019 the reachable Fediverse grew from 3.986 instances to 5.027 - that's roughly 🎉 <span class="u-emphasize">1.000</span> new servers online.

The number of registered accounts increased from 2.500.000 users to roughly 4.300.000 - about 🎉 <span class="u-emphasize">1.800.000</span> newcomers explored Fediverse networks!

![Old-school North American family looks at the sky and says Wow Fediverse is growing](/en/post/fediverse-in-2019/is-growing.jpg)

Five networks growing most rapidly in *online* server numbers in 2019 were:

![Pleroma +182 servers, Mastodon +159, WriteFreely +147, Pixelfed +73, PeerTube +63](/en/post/fediverse-in-2019/top-growing.jpg)

Three other Fediverse platforms that expanded significantly in 2019:

• [Misskey](/en/misskey) 🎉 +37 servers

• [Plume](https://joinplu.me) 🎉 +23 servers

• [Funkwhale](/en/funkwhale) 🎉 +15 servers


*Please, note: these numbers are an approximation based on statistics voluntarily provided by server administrators. Highly volatile (servers go offline / online every day), the numbers reflect only part of Fediverse at a given period of time (today!).*

### Fediverse in projects

At least <span class="u-emphasize">10 new networks</span> expressed a wish to become part of Fediverse!

🌟 [Mobilizon](https://joinmobilizon.org/en) - a network to gather, organize, and mobilize

🌟 [Epicyon](https://gitlab.com/bashrc2/epicyon) - ActivityPub server written in Python, for low-powered hardware

🌟 [Honk](https://humungus.tedunangst.com/r/honk/f) - Go ActivityPub server focused on minimal setup and support costs

🌟 [Lemmy](https://github.com/dessalines/lemmy) - a federated alternative to Reddit in Rust

🌟 [Gancio](https://gancio.org) - a shared agenda for local communities, supports ActivityPub

🌟 [Guppe](https://github.com/wmurphyrd/guppe) - project adds "groups" support: group-type actors forward posts to group members

🌟 [Kanzaki](https://github.com/KnzkDev/kanzaki) - ActivityPub-speaking server in OCaml

🌟 [Smithereen](https://the-federation.info/smithereen) - VKontakte-like social network written in Java

🌟 [MoonTreeProject](https://github.com/Faleidel/moontreeproject) - link aggregator, a work in progress

🌟 [Speechmore](https://gitlab.fancy.org.uk/speechmore) - a work in progress



→ For a full list of Fediverse projects in development see [Miscellaneous](https://fediverse.party/en/miscellaneous) page.

#### Project forks:
• [Hometown](https://github.com/hometown-fork/hometown/wiki) - a Mastodon fork that includes some unique features

• [Dolphin](https://github.com/syuilo/dolphin) - single user microblogging server, sister project to Misskey

• [Groundpolis](https://github.com/Groundpolis/Groundpolis) - microblogging network based on Misskey

#### Related new projects:
• [ForgeFed](https://forgefed.peers.community): an upcoming federation protocol, built as an extension to ActivityPub, for interoperability between version control services

### Fediverse 2019 timeline

✔ `January:` Mastodon [receives](https://mastodon.social/@Gargron/101468776092987214) a Samsung Stack Zero grant

✔ `January:` [Friendica](/en/friendica) successfully adopts ActivityPub protocol

✔ `February:` Google [writes code](https://github.com/google/data-transfer-project/tree/master/extensions/data-transfer/portability-data-transfer-mastodon) for [Mastodon](/en/mastodon)

✔ `March:` [Pleroma](/en/pleroma) has its first stable release

✔ `March:` [Socialhome](/en/socialhome) adds ActivityPub federation

✔ `April:` [WriteFreely](https://writefreely.org) [searches](https://writing.exchange/@write_as/101965472625104146) for new developers on a contract basis, becoming a Fediverse project that creates FOSS jobs

✔ `May:` Fediverse has a 🐣 Birthday, technically - [11 years](https://social.diekershoff.de/display/f3ad7b1c-145c-e10f-1e74-b7b177306491) and counting. Happy Birthday, Fedi!

✔ `July:` Hubzilla community announces a [call for participation](https://www.w3.org/community/zot) to standardize the Zot protocol used in [Hubzilla](/en/hubzilla) software

✔ `July:` [Pixelfed](/en/pixelfed) starts federating with other Fedi networks. A long awaited update

✔ `August:` [ActivityPub](https://activitypub.rocks) conference in Prague - 💡 watch the [videos](https://conf.tube/videos/watch/c81c92cd-b023-4a32-966c-bb2233e35483)

✔ `October:` [Framasoft](https://framasoft.org) releases the first beta version of [Mobilizon](https://joinmobilizon.org/en)

✔ `November:` [GNU Social](https://gnu.io/social) tests federation over ActivityPub

✔ `November:` Pixelfed [gets](https://mastodon.social/@pixelfed/103150844633581004) a grant from [NLnet](https://media.ccc.de/v/36c3-10795-ngi_zero_a_treasure_trove_of_it_innovation)

✔ `November:` Indian users massively [leave Twitter for Mastodon](https://www.bbc.com/news/world-asia-india-50343054)

✔ `November:` Well-known activist [Aral Balkan](https://mastodon.ar.al/@aral/103160984750213569) speaks at the European Parliament about the future of Internet regulation and the role of Fediverse platforms - 💡 watch the [video](https://video.lqdn.fr/videos/watch/70f2128c-8c06-4cc4-8a5a-bf77e765c8fd)

✔ `December:` [Funkwhale](/en/funkwhale) starts federating with Mastodon

✔ `December:` users from Scotland massively [join](https://mastodon.social/@Gargron/103342378878530973) Mastodon (popular hashtag: #TwitterExodusScotland)

✔ `December:` mass Spanish speakers [migration](https://mastodon.social/@Gargron/103392704334848972) from Twitter to Mastodon (popular hashtag: #YoMigroAMastodon)

### Things to happen in 2020

• *Fediverse Conference* in Barcelona

• *Spoiler* from the future: millions of people discovering Fediverse networks and migrating from centralized silos. Be prepared!

### Issues to be resolved in 2020

One of the main goals of federating software is decentralizing the web. That requires many Fediverse servers each having a small number of users, hosting data in physically decentralized manner. That's the ideal, a perfect image.

![Illustration of many small interconnected stars](/en/post/fediverse-in-2019/ideal.jpg)

But in real world most people register on large Fediverse servers with thousands of users: they're popular, more stable and reliable, their friends are there. And server administrators tend to choose large, well-known hosting solutions: they're cheaper, more stable and reliable. This leads to a situation where 80% of total users are all crowded on 10 large ("flagship") instances, and 40% of all servers are hosted mainly by 5 companies.

![Illustration of two huge (fat) servers talking to each other](/en/post/fediverse-in-2019/de-burp-lization.jpg)

Most used providers 2019:

![list of most used hosting providers](/en/post/fediverse-in-2019/providers.jpg)

The situation hasn't changed much since 2018 Leah's [research](https://chaos.social/@leah/99837391793032137) on server distribution. Will something change in 2020?

### Fediverse.party news:

The **fediverse.party** website changed its home! Our code can now be found on GitLab hosted by 👍 Feneas, a non-for-profit association registered in Finland and run by humans who care about federated web projects.

We invite all authors who would like to submit an article to **fediverse.party**. Are you developing a Fediverse project? Tell everyone about it! Do you write about complicated things in a simple, user-friendly language? This website's main audience are newcomers to Fediverse who may have no technical background, they will appreciate your explanatory skills. Are you a researcher of Fediverse software ready to comment on its strengths and weaknesses? Please, share your expertize! Here're the [guidelines](https://codeberg.org/fediverse/fediparty/src/branch/main/GUIDELINES.md) for submitting an article.

**P/s** Fediverse is 99% run by volunteers who spend their own money to keep the network going. If you enjoy being on Fediverse, please, consider sponsoring your own local server or donating to Fediverse project you most often use.
