---
layout: "post"
title: "Fediverse in 2020"
date: 2021-01-02
updated: 2021-01-02
tags:
    - fediverse
preview: "One more year in Fediverse passed. Let's have a look at what we have achieved, new projects that appeared and things that happened in 2020"
url: "/en/post/fediverse-in-2020"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

**Happy 2021, fedizens!**

One more year in Fediverse passed. Let's have a look at what we have achieved in 2020.

### Fediverse in numbers

The number of servers grew from 5.027 last year to ~5.900 by the end of 2020. That's <span class="u-emphasize">about 900</span> new instances.

The number of registered users, on the other hand, has decreased and by the end of the year remains slightly above 4.000.000. This may be due to the fact that several large servers went down during the year, and because some administrators periodically remove long inactive accounts to free up space for newcomers.

Whatever the reason, we may rejoice that more small instances keep appearing. That's what Fediverse is supposed to be doing – decentralizing!

Seven networks growing most rapidly in *online* server numbers in 2020 were:

• [PeerTube](/en/peertube) 🎉 +320 servers

• [Mastodon](/en/mastodon) 🎉 +237 servers

• [Pleroma](/en/pleroma) 🎉 +224 servers

• [WriteFreely](https://github.com/writefreely/writefreely) 🎉 +74 servers

• [Misskey](/en/misskey) 🎉 +58 servers

• [Mobilizon](https://framagit.org/framasoft/mobilizon) 🎉 +45 servers

• [Pixelfed](/en/pixelfed) 🎉 +40 servers

*Note: these numbers are an approximation based on statistics voluntarily provided by server administrators. Servers go offline / online every hour, every day, so the numbers reflect only part of Fediverse at the time this article was published.*

![Fediverse project logos in space with cats and UFOs](/en/post/fediverse-in-2020/cosmos-2020.jpg)
<small class="u-block u-center"><span class="u-emphasize">Credits:</span> picture is based on an image from Pixabay.com</small>

### Fediverse in projects

At least <span class="u-emphasize">16 new projects</span> joined Fediverse in 2020!

🌟 [Bonfire](https://gitlab.com/bonfire-ecosystem/activitypub) – a plug & play federated social network based on CommonsPub

🌟 [Bookwyrm](https://github.com/mouse-reeve/bookwyrm) – social reading and reviewing, a federated alternative to GoodReads

🌟 [The Occasion Octopus](https://github.com/theoccasionoctopus/theoccasionoctopus-server) – a federated network of Open Data for discovering interesting events

🌟 [OLKi](https://framagit.org/synalp/olki/olki) – linguistic corpora exchange platform, a simple gateway to Fediverse for scientific interaction

🌟 [Immers Space](https://github.com/immers-space/immers) – a virtual reality metaverse platform powered by Mozilla Hubs and ActivityPub-Express

🌟 [Lotide](https://git.sr.ht/~vpzom/lotide) – a federated forum / link aggregator

🌟 [Tavern](https://gitlab.com/ngerakines/tavern) – a minimalistic ActivityPub server

🌟 [Learn Awesome](https://github.com/learn-awesome/learn) – a review aggregation site generalized to all learning resources organized by topics, formats and difficulty

🌟 [OpenEngiadina](https://gitlab.com/openengiadina) –  a knowledge base and a social network using ActivityPub and the Semantic Web

🌟 [Gathio](https://github.com/lowercasename/gathio) – self-destructing, shareable, no-registration event pages

🌟 [SemApps](https://github.com/assemblee-virtuelle/semapps) – a collaborative, generic knowledge management system for easing data storage and filtering

🌟 [FlockingBird](https://github.com/flockingbird/roost) – network for professionals, a LinkedIn alternative

🌟 [SkoHub](https://github.com/hbz/skohub-pubsub) – a publication / subscription infrastructure for Open Educational Resources; allows to follow specific subjects and be notified when new content is published

🌟 [Reedlebee](https://gitlab.com/Alamantus/Readlebee) – a viable Goodreads alternative; book reading progress, lists, reviews, comments, and more

🌟 [LubarGW2](https://git.lubar.me/ben/guild-website) – federating guild website using GuildWars2 API

🌟 [XWiki Extension](https://github.com/xwiki-contrib/application-activitypub) – an implementation of the ActivityPub for XWiki

→ For a full list of Fediverse projects in development see [Miscellaneous](https://fediverse.party/en/miscellaneous) page.

#### Related new projects:
• [SepiaSearch](https://sepiasearch.org) – search engine for PeerTube

### Fediverse 2020 timeline

✔ `January 6:` [Smithereen](https://github.com/grishka/Smithereen) [open sources](https://mastodon.social/@grishka/103438618708499923) its codebase

✔ `January 23:` [ForgeFed](https://notabug.org/peers/forgefed) [gets funded](https://floss.social/@forgefed/103533724144234293) by NGI Zero Discovery Fund established by NLnet with financial support from the European Comission's Next Generation Internet program

✔ `January 30:` [Funkwhale](https://dev.funkwhale.audio/funkwhale/funkwhale) [receives funding](https://governance.funkwhale.audio/d/QyEBOaV6/status-of-our-nlnet-funding) from NGI Zero (NLnet)

✔ `February:` Simon Urli [announces](https://forum.xwiki.org/t/new-application-activitypub/6186) plans to add ActivityPub to XWiki, an open-source Wiki platform; receives funding from NGI Zero (NLNet)

✔ `March:` Pleroma introduces federated emoji reactions in [its 2.0 release](https://pleroma.social/blog/2020/03/08/releasing-pleroma-2-0-0)

✔ `March:` Friendica [adds](https://github.com/friendica/friendica/releases/tag/2020.03) custom profile fields, support for ActivityPub relays, and starts federating with Funkwhale

✔ `April:` The French ministry deploys about 35 PeerTube instances, creating a vast platform of educational videos without tracking and advertisements

✔ `April 7:` New project OpenEngiadina [joins the scene](https://chaos.social/@pukkamustard/103956215440029088). The project was supported by NGI Zero (NLnet)

✔ `May:` Mastodon's creator [announces](https://mastodon.social/@Gargron/104276611260547358 ) that some progress has been made on adding end-to-end encryption for direct messages in Mastodon. By the end of 2020, this is a work in progress

✔ `May 16:` PixelDroid, an Android client for Pixelfed, [prepares](https://fosstodon.org/@PixelDroid/104179203678066343) for an alpha release

✔ `May 18:` Fediverse 🐣 [celebrates its 12 birthday](https://mastodon.xyz/@lightone/104188129431867733)

✔ `June 23:` [Lemmy](https://github.com/dessalines/lemmy) project [is funded](https://lemmy.ml/post/35293) by NGI Zero (NLnet)

✔ `July 23:` [Masto.host](https://masto.host), the biggest provider for Mastodon, [experiences a major DDoS attack](https://mastodon.social/@mastohost/104564561004649620)

✔ `August:` Google [threatens](https://mastodon.social/@Gargron/104763960269049818) to remove several popular Fediverse apps from Google Play on the pretext that servers in Fediverse engage in hate speech and users can be exposed to it via these apps. Fedilab, a popular multi-purpose Fediverse app, receives Google warning too. This brings a wave of rage from users who
blame Google for double standards and demand to also ban Twitter apps and Chrome, as all of them expose users to hate speech. Heated discussions on HackerNews, Reddit and other tech outlets follow

✔ `August 28:` Pleroma introduces ActivityPub chats [in 2.1.0 release](https://pleroma.social/blog/2020/08/28/releasing-pleroma-2-1-0)

✔ `September 09:` Funkwhale releases [first stable version](https://dev.funkwhale.audio/funkwhale/funkwhale/-/tags/1.0)

✔ `September 15:` Mario Vavti, [Hubzilla](/en/hubzilla) core developer, achieves a grant from NGIZero (NLnet)

✔ `September 22:` Framasoft [introduces](https://framapiaf.org/@Framasoft/104907393254321391) [SepiaSearch](https://sepiasearch.org) - a search engine to help discover videos and channels on PeerTube

✔ `September 30:` [Pixelcat](https://github.com/pixelcatapp/Pixelcat), Android client for Pixelfed, Mastodon and Pleroma, gets traction

✔ `October:` 👍 Debian [donates](https://bits.debian.org/2020/10/debian-donation-peertube.html) 10.000 Euros to fund free and decentralized live-streaming in PeerTube

✔ `October 2-5th:` A conference about the present and future of ActivityPub takes place
in Barcelona. 💡 Watch the [talks](https://conf.tube/video-channels/apconf_channel/videos)

✔ `October 3:` SepiaSearch is now [integrated in Searx](https://github.com/searx/searx/pull/2227#event-3836474770)

✔ `October 20:` Lemmy [starts federating](https://hispagatos.space/@rek2/105067795560042507) via ActivityPub

✔ `October 27:`  [Mobilizon](https://framablog.org/2020/10/27/mobilizon-your-events-your-groups-your-data) stable version 1.0 and a [guided tour](https://framablog.org/2020/10/27/photo-novel-guided-tour-of-mobilizon) of the project are released

✔ `November:` Streaming [is coming](https://github.com/Chocobozzz/PeerTube/pull/3250) to PeerTube, a feature awaited by many

✔ `November 18:` Funkwhale is [looking for new maintainers](https://blog.funkwhale.audio/funkwhale-is-looking-for-new-maintainers.html)

✔ `December 25:` Socialhome project [adds](https://jasonrobinson.me/content/9db6bef7-e001-4de1-960a-6a24b59e5609) alpha support for Matrix

✔ `December:` An ActivityPub conference happens during rC3, 💡 watch the talk about [Funkwhale](https://media.ccc.de/v/rc3-520410-funkwhale_and_the_importance_of_decentralized_podcasting).

Is any important 2020 event missing? Feel free to suggest it in [issues](https://codeberg.org/fediverse/fediparty/issues) or send a suggestion in a [direct message](https://mastodon.xyz/@lightone).

*Fediverse is mostly run by volunteers who spend their own money to keep the network going. If you enjoy being on Fediverse, please, consider sponsoring your own local server or donating to Fedi project you most often use.*
