
---
layout: "post"
title: "Fediverse parties on (links updated)"
date: 2019-03-14
updated: 2019-03-14
tags:
    - fediverse
preview: "Have the Chronicles run out of news? No way! Here's an update of Fediverse affairs and future plans"
url: "/en/post/fediverse-parties-on"
lang: en
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

Hey, fedizens!

You may have noticed not a post has been published in the Chronicles since the end of 2018. Has Fediverse run out of news? Certainly not. Here's a brief overview of what has happened during this period.

### Dull figures

The 2018 report (update: link not available anymore) reveals that the world of federating networks has greatly expanded. The first three months of 2019 have seen about 450 new servers - hopefully, some of them will stay online (and updated). New accounts are being created and, apparenty, people remember about their old accounts, as the number of active users on most Fediverse networks increases weekly. If you wish to research figures, subscribe to [Federation stats bot](https://socialhome.network/u/thefederation) via any diaspora protocol platform ([diaspora](https://diasporafoundation.org), [Friendica](https://friendi.ca), [Hubzilla](https://hubzilla.org) or [Socialhome](https://socialhome.network)). Provided numbers are an approximation, and some projects are misrepresented: Friendica, Hubzilla real server numbers, GNU Social account numbers stand higher than metrics show. This is due to technical issues (mainly with [NodeInfo](https://github.com/jhass/nodeinfo) / [NodeInfo2](https://github.com/jaywink/nodeinfo2)), and because some servers opt out of taking part in statistics. The good news is Fediverse keeps growing!

### New kids on the block

[ActivityPub](https://activitypub.rocks) protocol stirred up many developers. Not a month passes now without a new federating project. The young blood of 2019 are [Mobilizon](https://joinmobilizon.org) and [Smilodon](https://gitlab.com/tuxcrafting/smilodon). Fediverse developing software and related tools are all listed [here](https://fediverse.party/en/miscellaneous). There's also a [Wiki](https://codeberg.org/fediverse/fediparty/wiki/?action=_pages).

At the same time several projects are being abandoned. Osada is one of those - the lead developer announced that the software won't get any future updates. The world of OStatus federating projects (GNU Social, postActiv) has also been quiet for a long while.

Among older projects [Pleroma](https://git.pleroma.social/pleroma/pleroma/tags), a lightweight microblogging network, has recently had its first stable release.

A fine end to the year 2018, diaspora project got an [API](https://www.nequalsonelifestyle.com/2018/12/29/diaspora-api-first-transactions-ever-authentication). It's still a work in progress, with luck we'll see more diaspora-related applications this year.

Not everyone is excited about ActivityPub protocol. Diaspora developer shared [final thoughts](https://schub.io/blog/2019/01/13/activitypub-final-thoughts-one-year-later.html) on the topic. Pleroma has implemented its own LitePub protocol version. Nevertheless, the majority of Fediverse new apps support federation over ActivityPub, and there's a [forum](https://socialhub.activitypub.rocks) where developers meet to discuss things.

### Unexpecto patronum

In other news, Mastodon project received a Stack Zero grant from Samsung Next and was definitely noticed by [Google](https://github.com/google/data-transfer-project/tree/master/extensions/data-transfer/portability-data-transfer-mastodon), [Keybase](https://github.com/mastodon/mastodon/pull/10013) and the Meet group corporation.

Friendica now has a mascot! Its name is Flaxy O'Hare. 🐰

![Friendica mascot](Friendica-mascot.png)

### Fediverse.Party update

Initially this website was created as a guide for newcomers to Fediverse, a modern source of information one can use as a reference. As federating projects multiply, it becomes tricky to cover all the things happening in each project's community. On the other hand, all recent posts published here were release notes. Newcomers to Fediverse most likely find it boring to read interpetations of technical feature additions. And seasoned fedizens keep track of new releases by following project's official announcements. Or one can follow a [bot](https://venera.social/dfrn_poll/releases) aggregating all releases via RSS - also available directly from Fediverse (*releases@venera.social*) and best formated in diaspora protocol networks; following the bot from Mastodon not recommended because of the way Mastodon handles articles with titles.

For reasons stated above there will be no more posts about software releases. The primary focus will be keeping the main website information up-to-date and publishing long-form articles about federating world, comparing its software, exploring its strengths (and weaknesses). Perhaps we'll regularly cover what's new in Fediverse - that's still to be decided by our (rather small) team.

__Happy decentralizing!__
