
---
layout: "post"
title: "Fediverse saves you from pickup artists, and 7 more reasons you should make a Fediverse account"
date: 2018-07-05
updated: 2018-07-05
tags:
    - fediverse
preview:
  "The Internet is huge, with millions of websites. But Internet users concentrate on large well-known platforms. We are all familiar with the names of Facebook, Instagram, Twitter, Weibo, Vkontakte, Google, YouTube, Tinder. These services may be useful, but they are not the only ones"
url: "/en/post/fediverse-saves-from-pickup-artists-and-7-more-reasons-to-join"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

The Internet is huge with millions of websites and web services, however, like in offline world people tend to move from countryside to towns to cities, Internet users concentrate on large well-known platforms. We are all familiar with the names of Facebook, Instagram, Twitter, Weibo, Vkontakte, Google, YouTube, Tinder. These services may be useful, but they aren't the only ones.

Compared to popular mass giants, Fediverse networks are like precious gems. Few people heard of them, but they are out there, waiting for you to find them.

![sign welcoming to Fediverse](/en/post/fediverse-saves-from-pickup-artists-and-7-more-reasons-to-join/fediverse-sign.jpg)

"Fediverse" means federated universe. There's no one website to sign up to. Instead you will find [hundreds](https://the-federation.info) of websites (servers) powered by citizens all around the world, independent from and uncontrolled by any single company. These servers are all interconnected, so no matter where you register[^1], you'll be able to connect with friends and users of other servers.

Instead of listing "one hundred suits them all" reasons why you should switch to federated social platforms, let's look at reasons for each particular person. That's what Fediverse is good at - _providing choices_.

<ul class="article-list">

* __If you're an extrovert, linguist__

Federated socializing is your cup of tea. Currently[^2] there are about 3.500.000 registered users in Fediverse online world. Compared to corporate giants, that's like a small eco village.

![image of Fediverse network icons](/en/post/fediverse-saves-from-pickup-artists-and-7-more-reasons-to-join/fediverse-garden.jpg)

It's natural in Fediverse to welcome new users, to start conversations with anyone who shares your interests, to follow strangers. Do you easily connect with people from other cultures and regions? Would you like to broaden your social network and become neighbours and friends with people from somewhere on the other side of the map from you? We have communities dedicated to all sorts of [hobbies](/en/portal/servers/index.html#hobbies), [regions](/en/portal/servers/index.html#regional), [languages](/en/portal/servers/index.html#languages), political and social [views](/en/portal/servers/index.html#political-and-social-views), [ecology and animal](/en/portal/servers/index.html#ecology-and-animals) related servers, [books, shows and games](/en/portal/servers/index.html#entertainment). Choose your community.

* __If you're an introvert, nerd, geek, scholar, developer__

A wonder you're still not part of Fediverse! It's your space, it's full of  people like you. We're scattered across Fediverse servers, searching for kindred spirits. There are communities for [researchers](/en/portal/servers/index.html#sciences), [bookworms](/en/portal/servers/index.html#humanities), [game developers](/en/portal/servers/index.html#gamedev), web developers and [techies](/en/portal/servers/index.html#servers-for-techies), as well as servers run by respectable [organizations](/en/portal/servers/index.html#run-by-tech-savvy-organizations) and [entities](/en/portal/servers/index.html#notable-mention).

* __If you're a content creator, freelance artist__

Your content should be yours, without granting the explicit rights to any corporate third parties. Fediverse communities have high opinions of creators and willingly support their work through donations. We have communities for [writers, artists and photographers](/en/portal/servers/index.html#humanities). Here're recommentations on [how to become a successful artist on Mastodon](https://blog.joinmastodon.org/2018/06/how-to-become-a-successful-artist-on-mastodon). Share your talents with fedizens.

* __If you've been censored on centralized platforms__

Federated social networks do not have one holy administrator who decides whom and what to ban. You'll find [multiple](/en/portal/servers/index.html#safe-spaces) servers for sensitive, vulnerable communities. Unlike on mainstream social networks, you will not be silenced for personal views. It's customary to share some images and content adding a special #NSFW tag (not safe for work): for spoilers, content inappropriate for children or for people at work. Remember still that each server is run by a volunteer, living in some country with its laws and regulations. Most servers have local rules, and your administrator has the power to ask you leave if you do something nasty. You'll be able to migrate to another server and do nasty things again, but you'd rather not. Spammers are not welcome, Fediverse administrators quickly react and share information withing the community. Other users have the ability to "ignore" or "mute" people who irritate them. **Being nice to each other** is a tradition here.

* __If you care about privacy, are a privacy advocate or NGO__

Then you definitely heard about [Snowden revelations](https://en.wikipedia.org/wiki/Edward_Snowden), [Cambridge Analytica](https://www.schneier.com/blog/archives/2018/03/facebook_and_ca.html), Equifax breach], [Exactis leak](https://www.wired.com/story/exactis-database-leak-340-million-records),  [manipulative practices](https://www.schneier.com/blog/archives/2018/06/manipulative_so.html), multiple user data hacks, and so on and so forth. Big centralized websites with big juicy collections of data are [useful](https://warontherocks.com/2018/02/wall-wall-fortresses-fail) for mass surveillance.

Are your friends aware of it? By leaving mainstream networks behind and joining Fediverse you do not automatically gain privacy. Securing data is hard, and federated networks will not protect you from targeted state surveillance. They will, however, protect from corporate mass surveillance. Especially if you spin up your own personal server, secure it, and host it at home. By inviting friends and family to Fediverse you help them treat their personal data wisely, you also help them broaden horizons, find out more about free and open source movements, become technically skilled. Everyone curious who likes to explore will learn in Fediverse.

As a privacy rights organization, by opening your own server or your official Fediverse account on one of the existing servers, and inviting followers on mainstream networks to join you in Fediverse, you help make bulk data collection more diffuclt and costly.

* __If you're a troll__

Fediverse has a [server](https://mordor.social) in your honour! Be nice to each other.

![image of a nice feditroll](/en/post/fediverse-saves-from-pickup-artists-and-7-more-reasons-to-join/feditroll.jpg)

* __If you don't like to share your telephone number with "pickup artists"__

Those who invented "pickup" thingy were on a mission to help people stay single, right? When someone weird approaches you in real life and you don't know what to make of them, why share your phone number or email? If you wish to test their Internet IQ and determination, tell them you'll meet them in Fediverse. A Fediverse account resembles an email and includes your nickname and your server URL - for example, jane@nerdpol.ch. Anyone who really wants to connect with you, will find the way to join Fediverse and search for your profile.

* __If you're a big corp engineer, secret agent__

Then you're clever. Are you capable of empathy? Come on the light side. Transparency is your power, and there's nothing old-fashioned about privacy for your family and loved ones. Just like for all the other citizens of the world. If you know that at heart, you will be invaluable in building social networking the right way.
</ul>

__Not convinced yet? Ask this__

<a href="/en/crystalball" target="_blank" rel="noopener" class="u-block u-center u-emphasize btn-action">CRYSTAL BALL</a>

...and it will show the reason just for you.

Federated networks won't track you, bombard with "personalized" ads or predefine your timeline (stream) with algorithms. You will be the one to decide what to see in your timeline, by following the topics you're interested in (subscribing to tags in [diaspora](/en/diaspora), [Mastodon](/en/mastodon)), connecting with people you like, joining groups and forums (in [Friendica](/en/friendica), [Hubzilla](/en/hubzilla)). Come join us!

Fediverse networks are not ideal. They lack some features provided by mass networks. This is because they are not backed by millions of dollars big companies have, they're developed by people like you and me, in their spare time, for free or for donations from the community. If you want to help improve any of the federated platforms, don't hesitate to ask how to help and start contributing. Welcome!

[^1]: To be sure which other networks your chosen Fediverse network connects with, check "Connects" information on each network's page

[^2]: Three+ million registered users is an approximation, as of December 2019
