
---
layout: "post"
title: "Fediverse.Party marks a 3 years milestone"
date: 2020-11-25
updated: 2020-11-25
tags:
    - fediverse
preview: "Here we are, partying in Fediverse for almost 3 years! Read about our journey, project team, goals, stats and future plans"
url: "/en/post/fediverse.party-3-years-milestone/"
lang: en
banner: "banner.jpg"
authors: [{"name": "@lostinlight", "url": "https://mastodon.xyz/@lightone", "network": "mastodon"}]
---

### Happy Birthday to us! 🎉

Time flies, and here we are, partying in Fediverse for almost 3 years! "Almost", because, strictly speaking, the website went online somewhere in mid-winter. It took a couple of months to brainstorm [design concepts](https://dribbble.com/shots/4388271-Fediverse-Network-pages) and make them reality. But November 25th was the day this domain was registered, which is as good as any day for looking back at the journey and for eating cakes!

![Illustrated postcard with mascots of popular Fediverse projects](/en/post/fediverse.party-3-years-milestone/Fedi_Yay.jpg)
<small class="u-block u-center"><span class="u-emphasize">Left to right:</span> mascots of Fediverse – fennec for Mobilizon, octopus for PeerTube, Fox tan for Pleroma, red koala for Hubzilla, mastodon for Mastodon, Flaxy O'Hare for Friendica, Ai for Misskey, whale for Funkwhale, red panda Fred for Pixelfed.</small>
<small class="u-block u-center"><span class="u-emphasize">Credits:</span> octopus and fennec characters' author – <a href="https://framapiaf.org/@davidrevoy">David Revoy</a>; illustration by <a href="https://mastodon.xyz/@lightone">@lostinlight</a>, CC-BY-SA, [large version](https://codeberg.org/lostinlight/distributopia/src/branch/main/sticker-bay/promo-1).</small>

This is a static website generated with Hexo, which allows lazy, stress-free maintenance, though, potentially, slightly limits functionality. Big thanks to Feneas administrator team, who make sure the website and its repository stay intact.

✔ *fediverse.party* should work for users who prefer to block scripts in the browser. This was done mostly for fun (CSS is fun). Has this actually been useful to anyone? Let us know, if it has.

Some things, like power and personal data, are best left decentralized. Other things, like knowledge and public data, benefit from centralization, for convenience. There were no certain plans for the website, except one: <span class="u-goldenBg">make finding Fediverse related things a bit easier</span>. So if you've bookmarked this website and returned to it later in search of GNU Social's new repository or a link to Mastodon's Trunk that you've seen days ago but have forgotten since - then everything works as it should. One bookmark instead of many!

### Boring statistics

<svg class="f-highlight" role="img" aria-labelledby="f-snow" style="fill: #fecb52;"><use xlink:href="#icon-snowflake"></use></svg> Since our main goal is to gather information about Fediverse projects, we link to many external resources. Today it's more than <span class="u-emphasize">700 external links</span>.

<svg class="f-highlight" role="img" aria-labelledby="f-snow" style="fill: #fecb52;"><use xlink:href="#icon-snowflake"></use></svg> So far our repository has witnessed <span class="u-emphasize">518 commits</span>.

Maintenance work is hidden from visitor's eyes and is mostly about keeping all the links up-to-date, removing broken and adding new ones, updating information.

<svg class="f-highlight" role="img" aria-labelledby="f-snow" style="fill: #fecb52;"><use xlink:href="#icon-snowflake"></use></svg> Most importantly, *fediverse.party* has had <span class="u-emphasize">11 merge requests</span> by 10 amazing humans!

One of our contributors suggested using HTMLproofer for regularly checking all links, which became a huge time-saver. Many thanks to that clever person.

Most Fediverse projects have a community of their own with communications in dedicated chats and forums. Some projects don't have any official account which would share latest project's news. Following the progress of such projects becomes a tricky task. This is where your contributions and merge requests were a significant help. <span class="u-goldenBg">Thank you!</span>

### Behind the scenes

The website's design hasn't changed much since its launch. Among the newly created pages, perhaps the most useful are two pages listing all known ActivityPub [software projects](/en/miscellaneous) and [developer tools](/en/tools).

Did you know we also have a <span class="u-goldenBg">[Wiki](https://codeberg.org/fediverse/fediparty/wiki/?action=_pages)</span>? It's a draft for information that later finds its way onto website's pages. Being a draft, it gives more freedom to maintainers to list any projects, even those that only intend to support federating protocols in the future (while the website lists only projects that have already started initial work).

This Wiki would have been impossible without several <span class="u-goldenBg">maintainers</span>: [Danyl Strype](https://mastodon.nzoss.nz/@strypey), [Liaizon Wakest](https://social.wake.st/@liaizon), [Eric Buijs](https://fosstodon.org/@ericbuijs) and [Arnold Schrijver](https://mastodon.social/@humanetech) have all contributed to *fediverse.party* Wiki pages - thank you very much! 👍 Specifically, [Danyl Strype](https://mastodon.nzoss.nz/@strypey) and [Arnold Schrijver](https://mastodon.social/@humanetech) are to be thanked for finding and catalogueing all the newly appearing Fediverse projects. Their valuable work should be mentioned in books about Fediverse research history! In any case, it's definitely part of this website's history.


### Plans for the future?

The creator of this website has always wished to make it attractive for Fediverse newcomers. Once upon a time, someone submitted *fediverse.party* to HackerNews. After deciphering angry user comments, we got some really good feedback on what user experience issues the website had! Since then, there were no attempts to find any feedback from common users.

A week ago, preparing for our symbolic 3 year milestone, we had a mini "crash test", where several completely non-nerdy users were asked to look at every page, click here and there, read and say what they think about it.

The experience was an eye-opener. It can't be called a complete fiasco: design and pictures received some kind comments. But the conclusion is simple: in its current state, *fediverse.party* is not helpful to any common grandma, not helpful at all. A new, nontech-friendly version of the website would require much less text (of a completely different nature), much more images and – crucially important – absolutely different terminology.

Which is to say, we won't try to be a website *for everyone*. If we can be of any value to tech-savvy <span class="u-goldenBg">people who are already part of Fediverse</span>, our mission is accomplished.

As for another, better version of this site – will it appear? Depends on luck. But nothing is impossible!

### Feedback

If you'd like to share ideas on how to improve the website, open an issue in our [repository](https://codeberg.org/fediverse/fediparty) or contact any of the maintainers directly in Fediverse.

And there's an old [bot account](https://venera.social/profile/releases) that informs whenever popular Fediverse projects release a new version. It's buggy. You don't want to contact it. :)

<span class="u-goldenBg">Stay safe, stay decentralized!</span> 🎉
